API references
Merchant API

Update merchant settings

Updates self-service settings for your merchant account, such as communication language and payout authorization requirements.

To view system properties set up for you by Reservepay, use retrieve-configuration.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/update-merchant-settings HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
preferred_communication_language: string?,
payout_contact_authorization_required: boolean?,
payout_allow_self_authorization: boolean?,
payout_skip_authorization_for_api_key: boolean?,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
preferred_communication_language string

Optional. The preferred communication language for your merchant account. This is the language that will be used to communicate with your customers. Default communication language is English (en).

Supported languages: en (English), th (Thai).

Allowed values:
  • en
  • th
payout_contact_authorization_required boolean

Optional. Whether contact payouts require authorization by a second user before processing.

payout_allow_self_authorization boolean

Optional. Whether the user who requested the payout is allowed to authorize it themselves.

payout_skip_authorization_for_api_key boolean

Optional. Whether payouts created via merchant API keys bypass the authorization requirement.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.